SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions | Variables
Base64Encoder.cpp File Reference
`#include "slikenet/Base64Encoder.h"`
`#include "slikenet/memoryoverride.h"`

Go to the source code of this file.

## Functions

const char * | Base64Map (void)
int | Base64Encoding (const unsigned char *inputData, int dataLength, char *outputData)
| Returns how many bytes were written.
int | Base64Encoding (const unsigned char *inputData, int dataLength, char **outputData)

## Variables

const char * | base64Map = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"

## Function Documentation

int Base64Encoding | ( | const unsigned char * | inputData,
|  | int | dataLength,
|  | char * | outputData
| ) |  |

Returns how many bytes were written.

Definition at line 23 of file Base64Encoder.cpp.

References base64Map.

Referenced by Base64Encoding().

int Base64Encoding | ( | const unsigned char * | inputData,
|  | int | dataLength,
|  | char ** | outputData
| ) |  |

Definition at line 96 of file Base64Encoder.cpp.

References _FILE_AND_LINE_, Base64Encoding(), and rakMalloc_Ex.

const char* Base64Map | ( | void |  | ) |

Definition at line 19 of file Base64Encoder.cpp.

## Variable Documentation

const char* base64Map = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"

Definition at line 20 of file Base64Encoder.cpp.

Referenced by Base64Encoding().